<?php
namespace Opencart\Admin\Controller\Extension\Vipodha4\Startup;
class Tripstap extends \Opencart\System\Engine\Controller
{
    public function index(): void
    {
        if ($this->config->get('theme_tripstap_status')) {
            $this->event->register('view/*/before', new \Opencart\System\Engine\Action('extension/vipodha4/startup/tripstap.event'));
            $this->event->register('controller/*/before', new \Opencart\System\Engine\Action('extension/vipodha4/startup/tripstap.event_setting'));
        }
    }

    public function event(string &$route, array &$args, mixed &$output): void
    {
        $override = [
            'design/layout_form'            
        ];      
    
        if (in_array($route, $override)) {
        	if ($route == "design/layout_form") {
        		$this->load->language('extension/vipodha4/design/layout');
                $route = 'extension/vipodha4/' . $route;
        	} else {
        		$route = 'extension/vipodha4/' . $route;
        	}
        }
    }

    public function event_setting(string &$route, array &$args): void
    {       
        // $override = [           
        //     'setting/setting|theme'
        // ];              

        // if (in_array($route, $override)) {          
        // 	if ($route == "setting/setting|theme") {
        //         $this->load->controller('extension/vipodha4/setting/setting');                
        // 	} else {                
        // 		$route = 'extension/vipodha4/' . $route;
        // 	}
        // }

    }
}
