<?php
// Heading
$_['heading_title']         = 'Vipodha Blog';
$_['heading_entry']         = 'Blog Entry';
$_['heading_list']          = 'Blog Entry List';

// Text
$_['text_extension']        = 'Extension';
$_['text_success']          = 'Success: You have modified Blogger Module!';
$_['entry_name']            = 'Module Name';
$_['text_edit']             = 'Edit Blogger Module';
$_['text_width']            = 'Width';
$_['text_height']           = 'Height';
$_['text_add']              = 'Add Blog Entry';
$_['text_form']             = 'Edit Blog Entry';
$_['text_save_module']      = 'You must save the module before you may add entries.';
$_['text_unallocated']      = 'Unallocated';
$_['text_view_list']        = 'You can view the full list of blogs <a href="%s" class="alert-link">here</a>!';
$_['text_list']             = 'Blog List';
$_['text_approved']         = 'Approved';
$_['text_unapproved']       = 'Unapproved';
$_['text_author']           = 'Author';
$_['text_email']            = 'E-Mail Address';
$_['text_comment']          = 'Comment';
$_['text_date_added']       = 'Date Added';
$_['text_size_note']        = 'Note : Recommended size 564px x 300px';
$_['text_banner_size_note'] = 'Note : Recommended size  1095px x 600px';

// Entry
$_['entry_title']           = 'Title';
$_['entry_description']     = 'Content';
$_['entry_status']          = 'Status';
$_['entry_image_size']      = 'Featured Image (W x H)';
$_['entry_width']           = 'Width';
$_['entry_height']          = 'Height';
$_['entry_image']           = 'Featured Image';
$_['entry_banner_image_size']   = 'Banner Image (W x H)<br><small>For single blog detail page</small>';
$_['entry_banner_width']        = 'Banner Width';
$_['entry_banner_height']       = 'Banner Height';
$_['entry_banner_image']        = 'Banner Image<br><small>For single blog detail page</small>';
$_['entry_limit']           = 'Limit';
$_['entry_char_limit']      = 'Character Limit';
$_['entry_module']          = 'Module';
$_['entry_allow_comments']  = 'Allow Comments';
$_['entry_login_required']  = 'Login Required';
$_['entry_auto_approve']    = 'Automatic Approval';
$_['entry_blogpage_items']  = '<span>Note</span> : Set Blog Items Limit Per Page From : <span style="font-weight: 600;">Home >> Extensions >> Themes >> Vipodha Store Theme >> Blog Page </span> in add limit <span style="font-weight: 600;">Blog Items Per Page</span> <a href="%s" class="alert-link blog-setting-link" style="color: #fff;">Click here</a>!';

// Help
$_['help_image']            = 'Size of blog featured image, if applicable.';
$_['help_limit']            = 'Number of blog entries displayed in module.';
$_['help_char_limit']       = 'Short description character limit for entries displayed in module.';
$_['help_allow_comments']   = 'Allow comments to be added to blog.';
$_['help_login_required']   = 'Require account login to add comments.';
$_['help_auto_approve']     = 'Allow automatic approval of comments.';
$_['help_banner_image']     = 'Size of blog banner image, if applicable.';

// Column
$_['column_title']          = 'Title';
$_['column_author']         = 'Author';
$_['column_email']          = 'E-Mail';
$_['column_status']         = 'Status';
$_['column_comments']       = 'Comments';
$_['column_date_added']     = 'Date Added';
$_['column_action']         = 'Action';
$_['column_module']         = 'Module';

// Button
$_['button_add_blog']       = 'Add Blog';
$_['button_return']         = 'Return to Module';
$_['button_list']           = 'Return to Blog List';
$_['button_approve']        = 'Approve';
$_['button_disapprove']     = 'Disapprove';
$_['button_comments']       = 'View Comments';
$_['button_view']           = 'View Comment';
$_['button_back']           = 'Return to Comments';

// Error
$_['error_warning_item']    = 'Warning: Please check the form carefully for errors!';
$_['error_warning']         = 'Warning: Please check the form carefully for errors!';
$_['error_permission']      = 'Warning: You do not have permission to modify Blogger Module!';
$_['error_name']            = 'Module Name must be between 3 and 64 characters!';
$_['error_width']           = 'Width required!';
$_['error_height']          = 'Height required!';
$_['error_banner_width']    = 'Banner Width required!';
$_['error_banner_height']   = 'Banner Height required!';
$_['error_module']          = 'No module selected!';
$_['error_module_select']   = 'Not any blog selected!';
$_['error_title']           = 'Blog Title must be between 3 and 64 characters!';
$_['error_description']     = 'Description must be more than 3 characters!';
$_['error_image']           = 'Featured image required!';
$_['error_banner_image']    = 'Banner image required!';