<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* extension/vipodha4newsletter/catalog/view/template/module/vipodha_newsletter_popup.twig */
class __TwigTemplate_783ed01d2a6085063b5297915bf1fc54 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo "<div class=\"modal fade vipodha-newsletter-popup\" id=\"vipodha-newsletter-popup\">
    <div class=\"modal-dialog modal-dialog-centered\">
        <div class=\"modal-content\">
            <div class=\"modal-body\">
                <div class=\"vipodha-newsletter-wrap row\">
                    <div class=\"col-md-6\">
                        <div class=\"vipodha-newsletter-image\" style=\"background: var(--secondary-color) url(";
        // line 7
        echo ($context["newsletter_image"] ?? null);
        echo ") no-repeat center center; background-size: cover;\"></div>
                    </div>
                    <div class=\"vipodha-newsletter-content col-md-6\">
                        <div class=\"vipodha-newsletter-content-innner\">
                            <h3>";
        // line 11
        echo ($context["newsletter_title_popup"] ?? null);
        echo "</h3>
                            <p>";
        // line 12
        echo ($context["newsletter_description_popup"] ?? null);
        echo "</p>
                            <form action=\"";
        // line 13
        echo ($context["user_subscribe_popup"] ?? null);
        echo "\" method=\"post\" id=\"form_vipodha_newsletter_popup\" data-oc-toggle=\"ajax\">
                                <input type=\"email\" class=\"form-control vipodha_newsletter_usr_popup_email\" name=\"vipodha_newsletter_usr_popup_email\" id=\"vipodha_newsletter_usr_popup_email\" placeholder=\"";
        // line 14
        echo ($context["entry_user_email"] ?? null);
        echo "\">
                                <button type=\"submit\" title=\"";
        // line 15
        echo ($context["entry_subscribe"] ?? null);
        echo "\" class=\"btn btn-default subscribe-btn\">";
        echo ($context["entry_subscribe"] ?? null);
        echo "</button>
                            </form>
                            <div class=\"news-checkbox-close\">
                                <div class=\"vipodha-newsletter-content-bottom\">
                                    <input type=\"checkbox\" id=\"popup_dont_show_again\">
                                    <label for=\"popup_dont_show_again\">";
        // line 20
        echo ($context["entry_show_again"] ?? null);
        echo "</label>
                                </div>
                                <button type=\"button\" class=\"vipodha-newsletter-btn-close btn-close\" data-bs-dismiss=\"modal\" aria-label=\"Close\"><i class=\"icon-close\"></i></button>
                            </div>
                        </div>
                    </div>                    
                </div>
            </div>
        </div>
    </div>
</div>
<script><!--
    // check for validation
    \$(document).ready(function() {
    \t\$('#vipodha_newsletter_usr_popup_email').keypress(function(e) {
    \t\tif(e.which == 13) {
    \t\t\te.preventDefault();
    \t\t\tsubscribe_popup();
    \t\t}
    \t});
    \t//transition effect
        if(\$.cookie(\"showpopup\") != 1){
    \t\t\$('#vipodha-newsletter-popup').modal('show');
        }
    \t\$('#popup_dont_show_again').on('change', function(){\t\t\t
    \t\tif(\$.cookie(\"showpopup\") != 1){   
    \t\t\t\$.cookie(\"showpopup\",'1')
    \t\t}else{
    \t\t\t\$.cookie(\"showpopup\",'0')
    \t\t}
    \t}); 
    });\t
    //-->
</script>
<script type=\"text/javascript\"><!--
\$( document ).ready(function() {
\t\$( document ).ajaxComplete(function(event, xhr, options) {
\t\tevent.preventDefault();
\t\tif( typeof xhr['responseJSON'] != \"undefined\" && typeof xhr['responseJSON']['form_reset'] != \"undefined\" && xhr['responseJSON']['form_reset'] == \"yes\" ){
\t\t\t\$(\"#form_vipodha_newsletter_popup\")[0].reset();
\t\t}
\t});
});
//--></script>";
    }

    public function getTemplateName()
    {
        return "extension/vipodha4newsletter/catalog/view/template/module/vipodha_newsletter_popup.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  78 => 20,  68 => 15,  64 => 14,  60 => 13,  56 => 12,  52 => 11,  45 => 7,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "extension/vipodha4newsletter/catalog/view/template/module/vipodha_newsletter_popup.twig", "/home/l0r3ghjlih6t/public_html/flighttravelguide.com/extension/vipodha4newsletter/catalog/view/template/module/vipodha_newsletter_popup.twig");
    }
}
