<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* extension/vipodha4/catalog/view/template/common/header.twig */
class __TwigTemplate_16798d9d39549d5451d89ded99f3867f extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo "<!DOCTYPE html>
<html dir=\"";
        // line 2
        echo ($context["direction"] ?? null);
        echo "\" lang=\"";
        echo ($context["lang"] ?? null);
        echo "\">
    <head>
        <meta charset=\"UTF-8\" />
        <meta name=\"viewport\" content=\"width=device-width, initial-scale=1\">
        <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
        <title>";
        // line 7
        echo ($context["title"] ?? null);
        echo "</title>
        <base href=\"";
        // line 8
        echo ($context["base"] ?? null);
        echo "\" />

        ";
        // line 10
        if (($context["description"] ?? null)) {
            // line 11
            echo "        <meta name=\"description\" content=\"";
            echo ($context["description"] ?? null);
            echo "\" />
        ";
        }
        // line 13
        echo "
        ";
        // line 14
        if (($context["keywords"] ?? null)) {
            // line 15
            echo "        <meta name=\"keywords\" content=\"";
            echo ($context["keywords"] ?? null);
            echo "\" />
        ";
        }
        // line 17
        echo "        
        <script src=\"https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js\"></script> 
        <script src=\"";
        // line 19
        echo ($context["jquery"] ?? null);
        echo "\" type=\"text/javascript\"></script>
        <link href=\"";
        // line 20
        echo ($context["bootstrap"] ?? null);
        echo "\" type=\"text/css\" rel=\"stylesheet\" media=\"screen\" />
        <link href=\"";
        // line 21
        echo ($context["icons"] ?? null);
        echo "\" type=\"text/css\" rel=\"stylesheet\" />        
        <link href=\"";
        // line 22
        echo ($context["stylesheet"] ?? null);
        echo "\" type=\"text/css\" rel=\"stylesheet\" />
        <script type=\"text/javascript\" src=\"catalog/view/javascript/jquery/datetimepicker/moment.min.js\"></script>
        <script type=\"text/javascript\" src=\"catalog/view/javascript/jquery/datetimepicker/moment-with-locales.min.js\"></script>
        <script type=\"text/javascript\" src=\"catalog/view/javascript/jquery/datetimepicker/daterangepicker.js\"></script>
        <link href=\"catalog/view/javascript/jquery/datetimepicker/daterangepicker.css\" rel=\"stylesheet\" type=\"text/css\" />
        <script src=\"extension/vipodha4/catalog/view/javascript/common.js\" type=\"text/javascript\"></script>

        <!-- intebility edit -->
            <link href=\"https://fonts.googleapis.com/css2?family=Chonburi&display=swap&family=Carattere&display=swap&family=Roboto:wght@400;500;700&display=swap\" rel=\"stylesheet\">
            ";
        // line 31
        echo ($context["inline_style"] ?? null);
        echo "
            <link href=\"";
        // line 32
        echo ($context["vipodhastyle"] ?? null);
        echo "\" type=\"text/css\" rel=\"stylesheet\" />
            <link href=\"";
        // line 33
        echo ($context["vipodhafont"] ?? null);
        echo "\" type=\"text/css\" rel=\"stylesheet\" />
            <link href=\"extension/vipodha4/catalog/view/stylesheet/owl.carousel.min.css\" rel=\"stylesheet\">
            <script src=\"extension/vipodha4/catalog/view/javascript/owl.carousel.min.js\" type=\"text/javascript\"></script>
            <script src=\"extension/vipodha4/catalog/view/javascript/jquery.elevateZoom.min.js\" type=\"text/javascript\"></script>
            <script type=\"text/javascript\" src=\"extension/vipodha4/catalog/view/javascript/custom.js\"></script>

            <!-- MegaMenu -->
            <link href=\"extension/vipodha4megamenu/catalog/view/css/vipodha_megamenu.css\" rel=\"stylesheet\">
            <script src=\"extension/vipodha4megamenu/catalog/view/javascript/vipodha_megamenu.js\" type=\"text/javascript\"></script>

            <!-- Search -->
            <link href=\"extension/vipodha4search/catalog/view/css/style.css\" rel=\"stylesheet\">
            ";
        // line 45
        if (($context["advanceSearch"] ?? null)) {
            // line 46
            echo "            <script src=\"extension/vipodha4search/catalog/view/javascript/vipodha_search.js\" type=\"text/javascript\"></script>
            ";
        }
        // line 48
        echo "            <script src=\"https://code.jquery.com/ui/1.13.2/jquery-ui.js\"></script>           
            <!-- .Search -->
            ";
        // line 50
        if (($context["vipodha_quickview_status"] ?? null)) {
            // line 51
            echo "            <script src=\"extension/vipodha4quickview/catalog/view/javascript/vipodha_quickview.js\" type=\"text/javascript\"></script>
            ";
        }
        // line 53
        echo "        <!-- .intebility edit -->

        ";
        // line 55
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["styles"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["style"]) {
            // line 56
            echo "        <link href=\"";
            echo twig_get_attribute($this->env, $this->source, $context["style"], "href", [], "any", false, false, false, 56);
            echo "\" type=\"text/css\" rel=\"";
            echo twig_get_attribute($this->env, $this->source, $context["style"], "rel", [], "any", false, false, false, 56);
            echo "\" media=\"";
            echo twig_get_attribute($this->env, $this->source, $context["style"], "media", [], "any", false, false, false, 56);
            echo "\" />
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['style'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 58
        echo "
        ";
        // line 59
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["scripts"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["script"]) {
            // line 60
            echo "        <script src=\"";
            echo twig_get_attribute($this->env, $this->source, $context["script"], "href", [], "any", false, false, false, 60);
            echo "\" type=\"text/javascript\"></script>
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['script'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 62
        echo "
        ";
        // line 63
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["links"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["link"]) {
            // line 64
            echo "        <link href=\"";
            echo twig_get_attribute($this->env, $this->source, $context["link"], "href", [], "any", false, false, false, 64);
            echo "\" rel=\"";
            echo twig_get_attribute($this->env, $this->source, $context["link"], "rel", [], "any", false, false, false, 64);
            echo "\" />
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['link'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 66
        echo "
        ";
        // line 67
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["analytics"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["analytic"]) {
            // line 68
            echo "        ";
            echo $context["analytic"];
            echo "
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['analytic'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 70
        echo "    </head>
    <body class=\"";
        // line 71
        echo ($context["class"] ?? null);
        echo " ";
        echo ($context["theme_class"] ?? null);
        echo "\">
        <div class=\"loader\"></div>
        <div id=\"alert\" class=\"toast-container position-fixed top-0 end-0 p-3\"></div>
        <nav id=\"top\">
            <div class=\"container\">
                <div class=\"row\">
                    <div class=\"col-lg-6 col-sm-6 top-left\">
                        <div class=\"contact-info\">
                            <a href=\"tel:";
        // line 79
        echo ($context["contact"] ?? null);
        echo "\">
                                <i class=\"fa fa-phone\"></i>
                                <span class=\"\">";
        // line 81
        echo ($context["telephone"] ?? null);
        echo "</span>
                            </a>
                        </div>
                    </div>
                    <div class=\"col-lg-6 col-sm-6 top-right\">                        
                        <div class=\"pull-left\">
                            ";
        // line 87
        echo ($context["language"] ?? null);
        echo "
                        </div>
                        <div class=\"pull-left\">
                            ";
        // line 90
        echo ($context["currency"] ?? null);
        echo "
                        </div>                        

                        <div id=\"top-links\" class=\"nav pull-right d-none\">
                            <ul class=\"list-inline\">
                                <li class=\"hidden\">
                                    <a href=\"";
        // line 96
        echo ($context["wishlist"] ?? null);
        echo "\" id=\"wishlist-total\" title=\"";
        echo ($context["text_wishlist"] ?? null);
        echo "\">
                                        <i class=\"fa fa-heart\"></i>
                                        <span class=\"hidden-xs hidden-sm hidden-md\">";
        // line 98
        echo ($context["text_wishlist"] ?? null);
        echo "</span>
                                    </a>
                                </li>
                                <li class=\"hidden\">
                                    <a href=\"";
        // line 102
        echo ($context["shopping_cart"] ?? null);
        echo "\" title=\"";
        echo ($context["text_shopping_cart"] ?? null);
        echo "\">
                                        <i class=\"fa fa-shopping-cart\"></i>
                                        <span class=\"hidden-xs hidden-sm hidden-md\">";
        // line 104
        echo ($context["text_shopping_cart"] ?? null);
        echo "</span>
                                    </a>
                                </li>
                                <li class=\"hidden\">
                                    <a href=\"";
        // line 108
        echo ($context["checkout"] ?? null);
        echo "\" title=\"";
        echo ($context["text_checkout"] ?? null);
        echo "\">
                                        <i class=\"fa fa-share\"></i>
                                        <span class=\"hidden-xs hidden-sm hidden-md\">";
        // line 110
        echo ($context["text_checkout"] ?? null);
        echo "</span>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </nav>

        <header>
            <div class=\"container\">
                <div class=\"row header-inner align-items-center\">
                    <div class=\"col-xl-2 col-lg-6 col-sm-6 header-left\">
                        <div id=\"logo\"> ";
        // line 124
        if (($context["logo"] ?? null)) {
            echo " <a href=\"";
            echo ($context["home"] ?? null);
            echo "\">
                                <img src=\"";
            // line 125
            echo ($context["logo"] ?? null);
            echo "\" title=\"";
            echo ($context["name"] ?? null);
            echo "\" alt=\"";
            echo ($context["name"] ?? null);
            echo "\" class=\"img-fluid\" />
                            </a> ";
        } else {
            // line 126
            echo " <h1>
                                <a href=\"";
            // line 127
            echo ($context["home"] ?? null);
            echo "\">";
            echo ($context["name"] ?? null);
            echo "</a>
                            </h1> ";
        }
        // line 129
        echo "                        </div>
                    </div>

                    <div class=\"header-center text-lg-center col-xl-8 col-lg-12\">
                        ";
        // line 133
        echo ($context["menu"] ?? null);
        echo "
                                               
                    </div>

                    <div class=\"header-right col-xl-2 col-lg-6 col-sm-6\">
                        ";
        // line 139
        echo "                        <div class=\"search-content\">
                            <div class=\"search-btn-outer\">
                                <i class=\"icon-search\"></i>
                            </div>
                            <div class=\"header-search\">
                                ";
        // line 144
        echo ($context["search"] ?? null);
        echo "                           
                            </div>                         
                        </div>

                        ";
        // line 149
        echo "                        <div id=\"header_ac\" class=\"dropdown\">
                            <a href=\"";
        // line 150
        echo ($context["account"] ?? null);
        echo "\" class=\"dropdown-toggle btn-link\" data-bs-toggle=\"dropdown\">
                                <i class=\"icon-user dropdown-icon\"></i>
                                <div class=\"dropdown-text d-none\">
                                    <span class=\"\">";
        // line 153
        echo ($context["text_account"] ?? null);
        echo "</span>
                                    <span class=\"dropdown-text-inner\">";
        // line 154
        echo ($context["text_register"] ?? null);
        echo "</span>
                                </div>                                
                            </a>
                            <ul class=\"dropdown-menu dropdown-menu-right account-link-toggle\">
                                ";
        // line 158
        if ( !($context["logged"] ?? null)) {
            // line 159
            echo "                                <li><a href=\"";
            echo ($context["register"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_register"] ?? null);
            echo "</a></li>
                                <li><a href=\"";
            // line 160
            echo ($context["login"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_login"] ?? null);
            echo "</a></li>
                                ";
        } else {
            // line 162
            echo "                                <li><a href=\"";
            echo ($context["account"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_account"] ?? null);
            echo "</a></li>
                                <li><a href=\"";
            // line 163
            echo ($context["order"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_order"] ?? null);
            echo "</a></li>
                                <li><a href=\"";
            // line 164
            echo ($context["transaction"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_transaction"] ?? null);
            echo "</a></li>
                                <li><a href=\"";
            // line 165
            echo ($context["download"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_download"] ?? null);
            echo "</a></li>
                                <li><a href=\"";
            // line 166
            echo ($context["logout"] ?? null);
            echo "\" class=\"dropdown-item\">";
            echo ($context["text_logout"] ?? null);
            echo "</a></li>
                                ";
        }
        // line 168
        echo "                            </ul>
                        </div>

                        ";
        // line 172
        echo "                        <div id=\"header-cart\" class=\"cart-content\">";
        echo ($context["cart"] ?? null);
        echo "</div>                        
                    </div>
                </div>
            </div>
        </header> 

        <script type=\"text/javascript\">
        ";
        // line 180
        echo "            \$(document).ready(function(){
                var headerfixed = ";
        // line 181
        echo ($context["headerfixed"] ?? null);
        echo ";
                if (headerfixed == 1) {
                    \$(window).scroll(function () {
                    var windows_height = jQuery(window).height();                 
                        if (\$(this).scrollTop() > windows_height) {
                            \$('header').addClass('header-fixed');
                            var scroll_header_height = \$(\"header\").height();
                            \$(\"body\").css({\"padding-top\":scroll_header_height+\"px\"});    
                        } else {
                            \$('header').removeClass('header-fixed');
                            \$(\"body\").css({\"padding-top\":\"0px\"});
                        }               
                    });
                }
                else{
                    \$('header').removeClass('header-fixed');
                    \$(\"body\").css({\"padding-top\":\"0px\"});
                }
            });
        ";
        // line 201
        echo "        </script>
        
        <main>";
    }

    public function getTemplateName()
    {
        return "extension/vipodha4/catalog/view/template/common/header.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  475 => 201,  453 => 181,  450 => 180,  439 => 172,  434 => 168,  427 => 166,  421 => 165,  415 => 164,  409 => 163,  402 => 162,  395 => 160,  388 => 159,  386 => 158,  379 => 154,  375 => 153,  369 => 150,  366 => 149,  359 => 144,  352 => 139,  344 => 133,  338 => 129,  331 => 127,  328 => 126,  319 => 125,  313 => 124,  296 => 110,  289 => 108,  282 => 104,  275 => 102,  268 => 98,  261 => 96,  252 => 90,  246 => 87,  237 => 81,  232 => 79,  219 => 71,  216 => 70,  207 => 68,  203 => 67,  200 => 66,  189 => 64,  185 => 63,  182 => 62,  173 => 60,  169 => 59,  166 => 58,  153 => 56,  149 => 55,  145 => 53,  141 => 51,  139 => 50,  135 => 48,  131 => 46,  129 => 45,  114 => 33,  110 => 32,  106 => 31,  94 => 22,  90 => 21,  86 => 20,  82 => 19,  78 => 17,  72 => 15,  70 => 14,  67 => 13,  61 => 11,  59 => 10,  54 => 8,  50 => 7,  40 => 2,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "extension/vipodha4/catalog/view/template/common/header.twig", "/home/l0r3ghjlih6t/public_html/flighttravelguide.com/extension/vipodha4/catalog/view/template/common/header.twig");
    }
}
