<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* extension/vipodha4/catalog/view/template/account/account.twig */
class __TwigTemplate_f351f23d07f9c922716a948855517f1e extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo ($context["header"] ?? null);
        echo "
<div id=\"account-account\" class=\"container\">
    <ul class=\"breadcrumb\">
        ";
        // line 4
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["breadcrumbs"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["breadcrumb"]) {
            // line 5
            echo "        <li class=\"breadcrumb-item\"><a href=\"";
            echo twig_get_attribute($this->env, $this->source, $context["breadcrumb"], "href", [], "any", false, false, false, 5);
            echo "\">";
            echo twig_get_attribute($this->env, $this->source, $context["breadcrumb"], "text", [], "any", false, false, false, 5);
            echo "</a></li>
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['breadcrumb'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 7
        echo "    </ul>
    ";
        // line 8
        if (($context["success"] ?? null)) {
            // line 9
            echo "    <div class=\"alert alert-success alert-dismissible\"><i class=\"fa-solid fa-circle-check\"></i> ";
            echo ($context["success"] ?? null);
            echo "</div>
    ";
        }
        // line 11
        echo "    <div class=\"row\">
        ";
        // line 12
        echo ($context["column_left"] ?? null);
        echo "
        <div id=\"content\" class=\"col\">
            ";
        // line 14
        echo ($context["content_top"] ?? null);
        echo "
            <h2>";
        // line 15
        echo ($context["heading_title"] ?? null);
        echo "</h2>
            <div class=\"account-detail\">
                <h2>";
        // line 17
        echo ($context["text_my_account"] ?? null);
        echo "</h2>
                <ul class=\"list-unstyled\">
                    <li><a href=\"";
        // line 19
        echo ($context["edit"] ?? null);
        echo "\">";
        echo ($context["text_edit"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 20
        echo ($context["password"] ?? null);
        echo "\">";
        echo ($context["text_password"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 21
        echo ($context["address"] ?? null);
        echo "\">";
        echo ($context["text_address"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 22
        echo ($context["payment_method"] ?? null);
        echo "\">";
        echo ($context["text_payment_method"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 23
        echo ($context["wishlist"] ?? null);
        echo "\">";
        echo ($context["text_wishlist"] ?? null);
        echo "</a></li>
                </ul>
                <h2>
                    ";
        // line 26
        echo ($context["text_my_orders"] ?? null);
        echo "
                </h2>
                <ul class=\"list-unstyled\">
                    <li><a href=\"";
        // line 29
        echo ($context["order"] ?? null);
        echo "\">";
        echo ($context["text_order"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 30
        echo ($context["subscription"] ?? null);
        echo "\">";
        echo ($context["text_subscription"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 31
        echo ($context["download"] ?? null);
        echo "\">";
        echo ($context["text_download"] ?? null);
        echo "</a></li>
                    ";
        // line 32
        if (($context["reward"] ?? null)) {
            // line 33
            echo "                    <li><a href=\"";
            echo ($context["reward"] ?? null);
            echo "\">";
            echo ($context["text_reward"] ?? null);
            echo "</a></li>
                    ";
        }
        // line 35
        echo "                    <li><a href=\"";
        echo ($context["return"] ?? null);
        echo "\">";
        echo ($context["text_return"] ?? null);
        echo "</a></li>
                    <li><a href=\"";
        // line 36
        echo ($context["transaction"] ?? null);
        echo "\">";
        echo ($context["text_transaction"] ?? null);
        echo "</a></li>
                </ul>
                ";
        // line 38
        if (($context["affiliate"] ?? null)) {
            // line 39
            echo "                <h2>
                    ";
            // line 40
            echo ($context["text_my_affiliate"] ?? null);
            echo "
                </h2>
                <ul class=\"list-unstyled\">
                    ";
            // line 43
            if ( !($context["tracking"] ?? null)) {
                // line 44
                echo "                    <li><a href=\"";
                echo ($context["affiliate"] ?? null);
                echo "\">";
                echo ($context["text_affiliate_add"] ?? null);
                echo "</a></li>
                    ";
            } else {
                // line 46
                echo "                    <li><a href=\"";
                echo ($context["affiliate"] ?? null);
                echo "\">";
                echo ($context["text_affiliate_edit"] ?? null);
                echo "</a></li>
                    <li><a href=\"";
                // line 47
                echo ($context["tracking"] ?? null);
                echo "\">";
                echo ($context["text_tracking"] ?? null);
                echo "</a></li>
                    ";
            }
            // line 49
            echo "                </ul>
                ";
        }
        // line 51
        echo "                <h2>
                    ";
        // line 52
        echo ($context["text_my_newsletter"] ?? null);
        echo "
                </h2>
                <ul class=\"list-unstyled\">
                    <li><a href=\"";
        // line 55
        echo ($context["newsletter"] ?? null);
        echo "\">";
        echo ($context["text_newsletter"] ?? null);
        echo "</a></li>
                </ul>
            </div>
            ";
        // line 58
        echo ($context["content_bottom"] ?? null);
        echo "
        </div>
        ";
        // line 60
        echo ($context["column_right"] ?? null);
        echo "
    </div>
</div>
";
        // line 63
        echo ($context["footer"] ?? null);
    }

    public function getTemplateName()
    {
        return "extension/vipodha4/catalog/view/template/account/account.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  238 => 63,  232 => 60,  227 => 58,  219 => 55,  213 => 52,  210 => 51,  206 => 49,  199 => 47,  192 => 46,  184 => 44,  182 => 43,  176 => 40,  173 => 39,  171 => 38,  164 => 36,  157 => 35,  149 => 33,  147 => 32,  141 => 31,  135 => 30,  129 => 29,  123 => 26,  115 => 23,  109 => 22,  103 => 21,  97 => 20,  91 => 19,  86 => 17,  81 => 15,  77 => 14,  72 => 12,  69 => 11,  63 => 9,  61 => 8,  58 => 7,  47 => 5,  43 => 4,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "extension/vipodha4/catalog/view/template/account/account.twig", "/home/l0r3ghjlih6t/public_html/flighttravelguide.com/extension/vipodha4/catalog/view/template/account/account.twig");
    }
}
