//<![CDATA[

// $(window).load(function() {
$(document).ready(function() {   
    setTimeout( function(){
        VipodhaquickView.initquickView();
        $(".vipodha_quickview-button").removeClass("d-none");
    }, 500 );
});

// // datetimepicker bootstrap issue fixed
// function quickview_bottom_margin(){
//     if(
//         jQuery('.vipodha_quickview-container .input-group').hasClass("date") === true ||
//         jQuery('.vipodha_quickview-container .input-group').hasClass("time") === true ||
//         jQuery('.vipodha_quickview-container .input-group').hasClass("datetime") === true 
//     ){
//         jQuery('.vipodha_quickview-container .product-right').addClass("qv_margin_bottom");
//     }
// }

var VipodhaquickView = {

    'initquickView': function() {
        $('body').append('<div class="vipodha_quickview-container"></div>');
        $('.vipodha_quickview-container').load('index.php?route=extension/vipodha4quickview/module/vipodha_quickview.insertcontainer');
    },

    'addCloseButton': function() {
        $('.vipodha_quickview-wrapper').prepend("<a href='javascript:void(0);' class='vipodha_quickview-btn' onclick='VipodhaquickView.closeButton()'>&times;</a>");
    },

    'closeButton': function() {
        $('.vipodha_quickview-overlay').hide();
        $('.vipodha_quickview-wrapper').hide().html('');
        $('.vipodha_quickview-loader').hide();
    },

    ajaxView: function(url) {
        if (url.search('route=product/product') != -1) {
            url = url.replace('route=product/product', 'route=extension/vipodha4quickview/module/vipodha_quickview');
        } else {
            url = 'index.php?route=product/vipodha_quickview/seoview&ourl=' + url;
        }

        $.ajax({
            url: url,
            type: 'get',
            beforeSend: function() {
                $('.vipodha_quickview-overlay').show();
                $('.vipodha_quickview-loader').show();
            },
            success: function(json) {
                if (json['success'] == true) {
                    $('.vipodha_quickview-loader').hide();
                    $('.vipodha_quickview-wrapper').html(json['html']);
                    VipodhaquickView.addCloseButton();

                    const additional = $('html').attr('dir');
                    $('#quick-carousel').each(function() {
                        const items = $(this).data('items') || 3;
                        const sliderOptions = {
                            loop: false,
                            nav: true,
                            navText: ['<i class="fa fa-angle-left"></i>', '<i class="fa fa-angle-right"></i>'],
                            dots: false,
                            items: items,
                            responsiveRefreshRate: 200,
                            responsive: {
                                0: { items: 1 },
                                300: { items: ((items - 2) > 1) ? (items - 2) : 1 },
                                320: { items: ((items - 1) > 1) ? (items - 1) : 1 },
                                426: { items: items },
                                481: { items: ((items + 1) > 1) ? (items + 1) : 1 },
                                768: { items: ((items - 1) > 1) ? (items - 1) : 1 },
                                1200: { items: items }
                            }
                        };
                        if (additional == 'rtl') sliderOptions['rtl'] = true;
                        $(this).owlCarousel(sliderOptions);

                    });

                    $('.vipodha_quickview-wrapper').show();

                    // $('#datetimepicker').datetimepicker({
                    //     pickTime: false
                    // });
                    // $('#datetime').datetimepicker({
                    //     pickDate: true,
                    //     pickTime: true
                    // });

                    // $('#Time').datetimepicker({
                    //     pickDate: false
                    // });

                }
                // quickview_bottom_margin();
            }

        });

    }
};
//]]>