<?php
// Heading Vipodha Testimonials
$_['heading_title']       = 'Vipodha Testimonial';

// Entry
$_['entry_name']          = 'Module Name';
$_['entry_title']         = 'Title';
$_['entry_limit']         = 'Limit';
$_['entry_status']        = 'Status';
$_['entry_items']         = 'Items';
$_['entry_auto']          = 'Auto Slide';
$_['entry_speed']         = 'Slide Speed';
$_['entry_navigation']    = 'Show Navigation';
$_['entry_pagination']    = 'Show Pagination';
$_['entry_width_height']  = 'Vipodha Testimonial Image Width & Height';
$_['vipodha_testimonial_list']    = 'View All Testimonials';

// Text
$_['text_extension']      = 'Extensions';
$_['text_success']        = 'Success: You have modified the Testimonial module!';
$_['text_edit']           = 'Edit Vipodha Testimonial Module';
$_['text_banner_size_note'] = 'Note : Recommended size  1920px x 500px';

// Error
$_['error_warning']       = 'Warning: Please check the form carefully for errors!';
$_['error_permission']    = 'Warning: You do not have permission to modify module testimonial!';
$_['error_name']          = 'Module Name must be between 3 and 64 characters!';
$_['error_width_height']  = 'Width & Height required!';
$_['error_width']         = 'Width required!';
$_['error_height']        = 'Height required!';
$_['error_items']         = 'Items required!';
$_['error_limit']         = 'Limit required!';
$_['error_speed']         = 'Speed required!';


// Heading
$_['heading_title_list']           = 'Vipodha Testimonial List';
$_['heading_title_item']           = 'Vipodha Testimonial';

// Text  
$_['text_success_item']            = 'Success: You have modified Testimonials!';
$_['text_list_item']               = 'Testimonial list';
$_['text_form_item']               = 'Testimonial form';
$_['text_add_item']                = 'Add Testimonial';
$_['text_edit_item']               = 'Edit Testimonial';
$_['text_testimonial_item']        = 'Testimonial';
$_['text_enabled_item']            = 'Enabled';
$_['text_disabled_item']           = 'Disabled';
$_['text_no_results_item']         = 'Result not found';
$_['text_confirm_item']            = 'Are you sure?';

// Column
$_['column_name_item']             = 'Customer Name';
$_['column_sort_order_item']       = 'Sort Order';
$_['column_status_item']           = 'Status';
$_['column_action_item']           = 'Action';

// Entry
$_['entry_name_item']              = 'Customer Name';
$_['entry_testimonial_limit_item'] = "Default Items per Page";
$_['entry_testimonial_image_item'] = "Testimonial Image Size";
$_['entry_image_item']             = 'Image File';
$_['entry_description_item']       = 'Description';
$_['entry_status_item']            = 'Status';
$_['entry_sort_order_item']        = 'Sort Order';

// Error
$_['error_warning_item']           = 'Warning: Please check the form carefully for errors!';
$_['error_permission_item']        = 'Warning: You do not have permission to modify Testimonial!';
$_['error_name_item']       	   = 'Customer Name must be greater than 3 and less than 255 characters!';
$_['error_description_item'] 	   = 'Description must exceed 3 characters!';
$_['error_image_testimonial_item'] = 'Testimonial Image dimensions required!';
$_['error_testimonial_limit_item'] = 'Testimonial Limit in Page required!';

// Images
$_['entry_testimonial_background_image'] = 'Testimonial Background Image';
$_['error_testimonial_background_image'] = 'Testimonial background image required!';
$_['text_testimonial_background_image_size_note'] = 'Note: <strong>Image Size</strong><br><small>For Testimonial Background - 1920px x 400px</small>';


?>