<?php

namespace Opencart\Catalog\Model\Extension\Vipodha4testimonial\Module;
class VipodhaTestimonial extends \Opencart\System\Engine\Model {

    public function getVipodhaTestimonial($vipodha_testimonial_id) {
        $query = $this->db->query("SELECT DISTINCT * FROM " . DB_PREFIX . "vipodha_testimonial t LEFT JOIN " . DB_PREFIX . "vipodha_testimonial_description td ON (t.vipodha_testimonial_id = td.vipodha_testimonial_id) WHERE t.vipodha_testimonial_id = '" . (int)$vipodha_testimonial_id . "' AND td.language_id = '" . (int)$this->config->get('config_language_id') . "'  AND t.status = '1'");
        
        return $query->row;
    }

    public function getVipodhaTestimonials($start = 0, $limit = 10) {
        $query = $this->db->query("SELECT * FROM " . DB_PREFIX ."vipodha_testimonial_description td LEFT JOIN " . DB_PREFIX . "vipodha_testimonial t ON (t.vipodha_testimonial_id = td.vipodha_testimonial_id) WHERE t.status = '1' AND td.language_id = '" . (int)$this->config->get('config_language_id') . "' ORDER BY t.sort_order ASC LIMIT " . (int)$start . "," . (int)$limit);
        return $query->rows;
    }
    public function getRandomVipodhaTestimonial(){
        $query = $this->db->query("SELECT * FROM " . DB_PREFIX ."vipodha_testimonial t LEFT JOIN " . DB_PREFIX . "vipodha_testimonial_description td ON (t.vipodha_testimonial_id = td.vipodha_testimonial_id) WHERE  t.status = '1' AND td.language_id = '" . (int)$this->config->get('config_language_id') . "' ORDER BY RAND() LIMIT 1");
        return $query->row;
    }

    public function getTotalVipodhaTestimonials() {
        $query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "vipodha_testimonial AS t WHERE t.status = '1'");
        return $query->row['total'];
    }  

}
?>