<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Extension\SandboxExtension;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* extension/vipodha4/catalog/view/template/product/category.twig */
class __TwigTemplate_8d8c5f0505fd31ab4fff7c0e7a74aa80 extends Template
{
    private $source;
    private $macros = [];

    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->source = $this->getSourceContext();

        $this->parent = false;

        $this->blocks = [
        ];
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        $macros = $this->macros;
        // line 1
        echo ($context["header"] ?? null);
        echo "
<div id=\"product-category\" class=\"container\">
    <ul class=\"breadcrumb\">
        ";
        // line 4
        $context['_parent'] = $context;
        $context['_seq'] = twig_ensure_traversable(($context["breadcrumbs"] ?? null));
        foreach ($context['_seq'] as $context["_key"] => $context["breadcrumb"]) {
            // line 5
            echo "        <li class=\"breadcrumb-item\"><a href=\"";
            echo twig_get_attribute($this->env, $this->source, $context["breadcrumb"], "href", [], "any", false, false, false, 5);
            echo "\">";
            echo twig_get_attribute($this->env, $this->source, $context["breadcrumb"], "text", [], "any", false, false, false, 5);
            echo "</a></li>
        ";
        }
        $_parent = $context['_parent'];
        unset($context['_seq'], $context['_iterated'], $context['_key'], $context['breadcrumb'], $context['_parent'], $context['loop']);
        $context = array_intersect_key($context, $_parent) + $_parent;
        // line 7
        echo "    </ul>
    <div class=\"row\">
        ";
        // line 9
        echo ($context["column_left"] ?? null);
        echo "
        <div id=\"content\" class=\"col\">
            ";
        // line 11
        echo ($context["content_top"] ?? null);
        echo "
            <h2>";
        // line 12
        echo ($context["heading_title"] ?? null);
        echo "</h2>
            ";
        // line 13
        if ((($context["thumb"] ?? null) || ($context["description"] ?? null))) {
            // line 14
            echo "            <div class=\"row\">
                ";
            // line 15
            if (($context["thumb"] ?? null)) {
                // line 16
                echo "                <div class=\"category-img col-sm-12\"><img src=\"";
                echo ($context["thumb"] ?? null);
                echo "\" alt=\"";
                echo ($context["heading_title"] ?? null);
                echo "\" title=\"";
                echo ($context["heading_title"] ?? null);
                echo "\" class=\"img-thumbnail\"/></div>
                ";
            }
            // line 18
            echo "                ";
            if (($context["description"] ?? null)) {
                // line 19
                echo "                <div class=\"category-desc col-sm-12\">";
                echo ($context["description"] ?? null);
                echo "</div>
                ";
            }
            // line 21
            echo "            </div>
            <!-- <hr/> -->
            ";
        }
        // line 24
        echo "            ";
        if (($context["categories"] ?? null)) {
            // line 25
            echo "            <div class=\"category-refine\">
                <h3>";
            // line 26
            echo ($context["text_refine"] ?? null);
            echo "</h3>
                ";
            // line 27
            if ((twig_length_filter($this->env, ($context["categories"] ?? null)) <= 5)) {
                // line 28
                echo "                <div class=\"row\">
                    <div class=\"col-sm-12\">
                        <ul>
                            ";
                // line 31
                $context['_parent'] = $context;
                $context['_seq'] = twig_ensure_traversable(($context["categories"] ?? null));
                foreach ($context['_seq'] as $context["_key"] => $context["category"]) {
                    // line 32
                    echo "                            <li><a href=\"";
                    echo twig_get_attribute($this->env, $this->source, $context["category"], "href", [], "any", false, false, false, 32);
                    echo "\">";
                    echo twig_get_attribute($this->env, $this->source, $context["category"], "name", [], "any", false, false, false, 32);
                    echo "</a></li>
                            ";
                }
                $_parent = $context['_parent'];
                unset($context['_seq'], $context['_iterated'], $context['_key'], $context['category'], $context['_parent'], $context['loop']);
                $context = array_intersect_key($context, $_parent) + $_parent;
                // line 34
                echo "                        </ul>
                    </div>
                </div>
                ";
            } else {
                // line 38
                echo "                <div class=\"row row-cols-sm-12 row-cols-lg-12\">                    
                    <div class=\"col\">
                        <ul>
                            ";
                // line 41
                $context['_parent'] = $context;
                $context['_seq'] = twig_ensure_traversable(twig_array_batch(($context["categories"] ?? null), twig_round((twig_length_filter($this->env, ($context["categories"] ?? null)) / 4), 1, "ceil")));
                foreach ($context['_seq'] as $context["_key"] => $context["category"]) {
                    // line 42
                    echo "                            ";
                    $context['_parent'] = $context;
                    $context['_seq'] = twig_ensure_traversable($context["category"]);
                    foreach ($context['_seq'] as $context["_key"] => $context["child"]) {
                        // line 43
                        echo "                            <li><a href=\"";
                        echo twig_get_attribute($this->env, $this->source, $context["child"], "href", [], "any", false, false, false, 43);
                        echo "\">";
                        echo twig_get_attribute($this->env, $this->source, $context["child"], "name", [], "any", false, false, false, 43);
                        echo "</a></li>
                            ";
                    }
                    $_parent = $context['_parent'];
                    unset($context['_seq'], $context['_iterated'], $context['_key'], $context['child'], $context['_parent'], $context['loop']);
                    $context = array_intersect_key($context, $_parent) + $_parent;
                    // line 45
                    echo "                            ";
                }
                $_parent = $context['_parent'];
                unset($context['_seq'], $context['_iterated'], $context['_key'], $context['category'], $context['_parent'], $context['loop']);
                $context = array_intersect_key($context, $_parent) + $_parent;
                // line 46
                echo "                        </ul>
                    </div>                   
                </div>
                ";
            }
            // line 50
            echo "            </div>
            ";
        }
        // line 52
        echo "            ";
        if (($context["products"] ?? null)) {
            // line 53
            echo "            <div class=\"category-info\">
                <div id=\"display-control\" class=\"row\">                    
                    <div class=\"col-sm-2 col-xs-5 category-list-grid\">
                        <div class=\"btn-group\">
                            <button type=\"button\" id=\"button-grid\" class=\"btn btn-default\" data-bs-toggle=\"tooltip\" title=\"";
            // line 57
            echo ($context["button_grid"] ?? null);
            echo "\"><i class=\"icon-grid\"></i></button>
                            <button type=\"button\" id=\"button-list\" class=\"btn btn-default\" data-bs-toggle=\"tooltip\" title=\"";
            // line 58
            echo ($context["button_list"] ?? null);
            echo "\"><i class=\"icon-list\"></i></button>                            
                        </div>
                    </div>
                    <div class=\"col-sm-3 col-xs-7 category-compare\">
                        <div class=\"\">
                            <a href=\"";
            // line 63
            echo ($context["compare"] ?? null);
            echo "\" id=\"compare-total\" class=\"btn btn-primary d-block\"><i class=\"d-none fa-solid fa-arrow-right-arrow-left\"></i> <span class=\"\">";
            echo ($context["text_compare"] ?? null);
            echo "</span></a>
                        </div>
                    </div>
                    <div class=\"col-md-7 col-xs-12 category-sorting\">
                        <div class=\"sort-cat\">
                            <div class=\"text-category-sort\">                                
                                <label for=\"input-sort\" class=\"input-group-text input-group-addon\">";
            // line 69
            echo ($context["text_sort"] ?? null);
            echo "</label>
                            </div>
                            <div class=\"select-cat-sort\">
                                <select id=\"input-sort\" class=\"form-select form-control\" onchange=\"location = this.value;\">                            
                                    ";
            // line 73
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable($context["sorts"]);
            foreach ($context['_seq'] as $context["_key"] => $context["sorts"]) {
                // line 74
                echo "                                    <option value=\"";
                echo twig_get_attribute($this->env, $this->source, $context["sorts"], "href", [], "any", false, false, false, 74);
                echo "\"";
                if ((twig_get_attribute($this->env, $this->source, $context["sorts"], "value", [], "any", false, false, false, 74) == twig_sprintf("%s-%s", ($context["sort"] ?? null), ($context["order"] ?? null)))) {
                    echo " selected";
                }
                echo ">";
                echo twig_get_attribute($this->env, $this->source, $context["sorts"], "text", [], "any", false, false, false, 74);
                echo "</option>
                                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['sorts'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 76
            echo "                                </select>
                            </div>
                        </div>
                        <div class=\"limit-cat\">
                            <div class=\"text-category-limit\">                                
                                <label for=\"input-limit\" class=\"input-group-text input-group-addon\">";
            // line 81
            echo ($context["text_limit"] ?? null);
            echo "</label>
                            </div>
                            <div class=\"select-cat-limit\">
                                <select id=\"input-limit\" class=\"form-select form-control\" onchange=\"location = this.value;\">
                                    ";
            // line 85
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable($context["limits"]);
            foreach ($context['_seq'] as $context["_key"] => $context["limits"]) {
                // line 86
                echo "                                    <option value=\"";
                echo twig_get_attribute($this->env, $this->source, $context["limits"], "href", [], "any", false, false, false, 86);
                echo "\"";
                if ((twig_get_attribute($this->env, $this->source, $context["limits"], "value", [], "any", false, false, false, 86) == ($context["limit"] ?? null))) {
                    echo " selected";
                }
                echo ">";
                echo twig_get_attribute($this->env, $this->source, $context["limits"], "text", [], "any", false, false, false, 86);
                echo "</option>
                                    ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['limits'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 88
            echo "                                </select>
                            </div>
                        </div>
                    </div>
                </div>                        
            </div>
            <div id=\"product-list\" class=\"row row-cols-1 row-cols-sm-2 row-cols-md-2 row-cols-lg-3\">
                ";
            // line 95
            $context['_parent'] = $context;
            $context['_seq'] = twig_ensure_traversable(($context["products"] ?? null));
            foreach ($context['_seq'] as $context["_key"] => $context["product"]) {
                // line 96
                echo "                <div class=\"col\"><div class=\"product-layout\">";
                echo $context["product"];
                echo "</div></div>
                ";
            }
            $_parent = $context['_parent'];
            unset($context['_seq'], $context['_iterated'], $context['_key'], $context['product'], $context['_parent'], $context['loop']);
            $context = array_intersect_key($context, $_parent) + $_parent;
            // line 98
            echo "            </div>
            <div class=\"pagination-main\">
                <div class=\"row\">
                    <div class=\"col-md-6 pagination_result\">";
            // line 101
            echo ($context["results"] ?? null);
            echo "</div>
                    <div class=\"col-md-6 text-md-end\">";
            // line 102
            echo ($context["pagination"] ?? null);
            echo "</div>
                </div>
            </div>
            ";
        }
        // line 106
        echo "            ";
        if (( !($context["categories"] ?? null) &&  !($context["products"] ?? null))) {
            // line 107
            echo "            <p>";
            echo ($context["text_no_results"] ?? null);
            echo "</p>
            <div class=\"d-inline-block pt-2 pd-2 w-100\">
                <div class=\"float-end\"><a href=\"";
            // line 109
            echo ($context["continue"] ?? null);
            echo "\" class=\"btn btn-primary\">";
            echo ($context["button_continue"] ?? null);
            echo "</a></div>
            </div>
            ";
        }
        // line 112
        echo "            ";
        echo ($context["content_bottom"] ?? null);
        echo "
        </div>
        ";
        // line 114
        echo ($context["column_right"] ?? null);
        echo "
    </div>
</div>
";
        // line 117
        echo ($context["footer"] ?? null);
    }

    public function getTemplateName()
    {
        return "extension/vipodha4/catalog/view/template/product/category.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  343 => 117,  337 => 114,  331 => 112,  323 => 109,  317 => 107,  314 => 106,  307 => 102,  303 => 101,  298 => 98,  289 => 96,  285 => 95,  276 => 88,  261 => 86,  257 => 85,  250 => 81,  243 => 76,  228 => 74,  224 => 73,  217 => 69,  206 => 63,  198 => 58,  194 => 57,  188 => 53,  185 => 52,  181 => 50,  175 => 46,  169 => 45,  158 => 43,  153 => 42,  149 => 41,  144 => 38,  138 => 34,  127 => 32,  123 => 31,  118 => 28,  116 => 27,  112 => 26,  109 => 25,  106 => 24,  101 => 21,  95 => 19,  92 => 18,  82 => 16,  80 => 15,  77 => 14,  75 => 13,  71 => 12,  67 => 11,  62 => 9,  58 => 7,  47 => 5,  43 => 4,  37 => 1,);
    }

    public function getSourceContext()
    {
        return new Source("", "extension/vipodha4/catalog/view/template/product/category.twig", "/home/l0r3ghjlih6t/public_html/flighttravelguide.com/extension/vipodha4/catalog/view/template/product/category.twig");
    }
}
